Bug 223628 - Wish: Entering an rpm package name to find bugs related to it, prior to entering one
Wish: Entering an rpm package name to find bugs related to it, prior to enter...
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2007-01-20 18:05 EST by Penelope Fudd
Modified: 2013-06-23 22:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-19 01:25:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2007-01-20 18:05:41 EST
Description of problem:
Feature request: As bugs are contained in packages, and are eliminated with
other packages, it would make sense to track packages in bugzilla.  For
instance, I just updated my system with yum, and X broke.  I found out what
package was responsible, and I'd like to report a bug to the author of that
package, or search for workarounds.

Version-Release number of selected component (if applicable):
Bugzilla Version 2.18-rh

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Penelope Fudd 2007-01-20 20:32:47 EST
While it turned out that the package happened to come from the Livna repository
and isn't Redhat's responsibility, my wish is still in force.  :-)
Comment 2 David Lawrence 2008-09-16 12:55:06 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 Penelope Fudd 2008-09-16 14:45:58 EDT
The wish hasn't been implemented, so I guess it's still relevant.  :-)

It's probably too much of a stretch to change Bugzilla to accommodate this.

It may be better to have a separate website that lists every version of every package ever released by Redhat or the Fedora group, colored red if there's a confirmed bug inside that version of the package, hyperlinked to the bug report(s) about that version of the package, and with a link to the latest bug-free version.

Of course, just typing 'yum update' should do the right thing, except when the latest version of a package has a bug.

Comment 4 David Lawrence 2010-01-15 12:32:21 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 5 David Lawrence 2010-08-25 17:40:26 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Bugzilla Development Team
Comment 6 Penelope Fudd 2010-08-25 17:52:18 EDT
Still a wish.
Comment 8 Jeff Fearn 2012-05-30 00:37:13 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 9 Jeff Fearn 2012-07-19 01:25:04 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.